GET /api/v3/udf/{udfId}

Retrieves a single user defined field definition by ID

GetUDFV3
Use this endpoint to get the full details of a specific UDF including its data type, usage count, and select list values with their individual usage counts. For the list of all UDFs, use GET /udf.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
udfId Unique numeric identifier of the user defined field integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

UDFResponse
Property Description Type
count The number of times this custom field has been used. Required (defined) integer (int32)
dataType DataTypeResponse
DataTypeResponse properties
Property Description Type
dataTypeCode The data type code/short name Required (defined) string
dataTypeId The unique identifier for the data type (e.g., 1=boolean, 2=integer, 3=string, 4=double, 6=date, 12=select list, 13=URL) Required (defined) integer (int32)
dataTypeInfo The data type display name/description Required (defined) string
description The description for the custom field. Required (defined) string
displayOrder The display order of the custom field. Required (defined) integer (int32)
important If true, this custom field is important. Required (defined) boolean
locked If true, then this udf is a system custom field Required (defined) boolean
name The name of the custom field. Required (defined) string
udfId The identifier of the custom field. Required (defined) integer (int32)
udfSelectValues Select values of the custom field, if it is a select list (DataType = 12). Required (defined) UDFSelectValueResponse[]
UDFSelectValueResponse properties
Property Description Type
count integer (int32)
displayOrder integer (int32)
udfSelectValueId integer (int32)
value string
udfType The type of the udf. Values include: Account, Meter, Vendor, Place, ChannelVersion, Rate, Bill, “EnergyProject”, “Collection”, and “EmissionSource”. Required (defined) string
Example Response application/json
{  "count": 1,  "dataType": {    "dataTypeCode": "string",    "dataTypeId": 1,    "dataTypeInfo": "string"
  },  "description": "string",  "displayOrder": 1,  "important": false,  "locked": false,  "name": "string",  "udfId": 1,  "udfSelectValues": [
    {    "count": 1,    "displayOrder": 1,    "udfSelectValueId": 1,    "value": "string"
  }
  ],  "udfType": "string"
}
404 Not Found The requested resource was not found. Verify the ID or path is correct.